org.eclipse.wst.jsdt.ui.text

## Interface IColorManager

    public interface IColorManager

Manages SWT color objects for the given color keys and given `RGB` objects. Until the `dispose` method is called, the same color object is returned for equal keys and equal `RGB` values.

In order to provide backward compatibility for clients of `IColorManager`, extension interfaces are used to provide a means of evolution. The following extension interfaces exist:

- `IColorManagerExtension` since version 2.0 introducing the ability to bind and un-bind colors.

This interface may be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

See Also:
  `IColorManagerExtension`, `IJavaScriptColorConstants`

### Method Summary

All Methods Instance Methods Abstract Methods
`Color` `getColor(java.lang.String key)` Returns a color object for the given key.

### Method Detail

#### getColor

    Color getColor(java.lang.String key)

Returns a color object for the given key. The color objects are remembered internally; the same color object is returned for equal keys.

Parameters:
  `key` - the color key
Returns:
  the color object for the given key